package cn.com.tenlion.configcolumn.pojo.vos.configcolumngroup;

import ink.wgink.annotation.CheckEmptyAnnotation;
import ink.wgink.annotation.CheckNumberAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: ConfigColumnGroupVO
 * @Description: 
 * @Author: CodeFactory
 * @Date: 2021-06-26 13:59:22
 * @Version: 3.0
 **/
@ApiModel
public class ConfigColumnGroupVO {

    @ApiModelProperty(name = "configColumnGroupCode", value = "栏目组编号")
    @CheckEmptyAnnotation(name = "编号")
    private String configColumnGroupCode;
    @ApiModelProperty(name = "configColumnGroupName", value = "栏目组名称")
    @CheckEmptyAnnotation(name = "名称")
    private String configColumnGroupName;
    @ApiModelProperty(name = "configColumnGroupPhoto", value = "栏目组图标")
    private String configColumnGroupPhoto;
    @ApiModelProperty(name = "configColumnGroupDirection", value = "栏目组排列方式1:横向,2:纵向")
    @CheckEmptyAnnotation(name = "排列方式")
    private String configColumnGroupDirection;
    @ApiModelProperty(name = "configColumnGroupStatus", value = "栏目组显示状态1:显示,0:隐藏")
    @CheckEmptyAnnotation(name = "显示状态")
    private String configColumnGroupStatus;
    @ApiModelProperty(name = "configColumnGroupRemark", value = "栏目组说明")
    private String configColumnGroupRemark;
    @ApiModelProperty(name = "configColumnGroupTargetMode", value = "栏目组跳转")
    @CheckEmptyAnnotation(name = "详情跳转")
    private String configColumnGroupTargetMode;
    @ApiModelProperty(name = "configColumnGroupTargetUrl", value = "栏目组跳转地址")
    private String configColumnGroupTargetUrl;
    @ApiModelProperty(name = "configColumnGroupOrder", value = "栏目组排序")
    @CheckNumberAnnotation(name = "排序")
    private Integer configColumnGroupOrder = 0;
    @ApiModelProperty(name = "configColumnGroupStyle", value = "引导页样式")
    private String configColumnGroupStyle;

    public String getConfigColumnGroupStyle() {
        return configColumnGroupStyle == null ? "" : configColumnGroupStyle;
    }

    public void setConfigColumnGroupStyle(String configColumnGroupStyle) {
        this.configColumnGroupStyle = configColumnGroupStyle;
    }

    public String getConfigColumnGroupTargetMode() {
        return configColumnGroupTargetMode == null ? "" : configColumnGroupTargetMode;
    }

    public void setConfigColumnGroupTargetMode(String configColumnGroupTargetMode) {
        this.configColumnGroupTargetMode = configColumnGroupTargetMode;
    }

    public String getConfigColumnGroupTargetUrl() {
        return configColumnGroupTargetUrl == null ? "" : configColumnGroupTargetUrl;
    }

    public void setConfigColumnGroupTargetUrl(String configColumnGroupTargetUrl) {
        this.configColumnGroupTargetUrl = configColumnGroupTargetUrl;
    }

    public Integer getConfigColumnGroupOrder() {
        return configColumnGroupOrder;
    }

    public void setConfigColumnGroupOrder(Integer configColumnGroupOrder) {
        this.configColumnGroupOrder = configColumnGroupOrder;
    }

    public String getConfigColumnGroupCode() {
        return configColumnGroupCode == null ? "" : configColumnGroupCode.trim();
    }

    public void setConfigColumnGroupCode(String configColumnGroupCode) {
        this.configColumnGroupCode = configColumnGroupCode;
    }

    public String getConfigColumnGroupName() {
        return configColumnGroupName == null ? "" : configColumnGroupName.trim();
    }

    public void setConfigColumnGroupName(String configColumnGroupName) {
        this.configColumnGroupName = configColumnGroupName;
    }

    public String getConfigColumnGroupPhoto() {
        return configColumnGroupPhoto == null ? "" : configColumnGroupPhoto.trim();
    }

    public void setConfigColumnGroupPhoto(String configColumnGroupPhoto) {
        this.configColumnGroupPhoto = configColumnGroupPhoto;
    }

    public String getConfigColumnGroupDirection() {
        return configColumnGroupDirection == null ? "" : configColumnGroupDirection.trim();
    }

    public void setConfigColumnGroupDirection(String configColumnGroupDirection) {
        this.configColumnGroupDirection = configColumnGroupDirection;
    }

    public String getConfigColumnGroupStatus() {
        return configColumnGroupStatus == null ? "" : configColumnGroupStatus.trim();
    }

    public void setConfigColumnGroupStatus(String configColumnGroupStatus) {
        this.configColumnGroupStatus = configColumnGroupStatus;
    }

    public String getConfigColumnGroupRemark() {
        return configColumnGroupRemark == null ? "" : configColumnGroupRemark.trim();
    }

    public void setConfigColumnGroupRemark(String configColumnGroupRemark) {
        this.configColumnGroupRemark = configColumnGroupRemark;
    }


}
